#include "raster.hpp"
#include "lbm_kernel.hpp"
#include "part_grid.hpp"
#include "part_rec.hpp"
#include "exch_plan.hpp"
#include "scheduling.hpp"
#include "pbm.h"
#include "unistd.h"

#include <vector>
#include <iostream>
#include <fstream>

void export_global_state(   const Lattice& lattice, 
                            const std::vector<Section>& sections, 
                            const std::vector<Section_exchange>& all_exchanges, 
                            const std::vector<std::vector<int>>& rank_assignment);

void export_sections_as_tikz(
                            const Lattice& lattice, 
                            const std::vector<Section>& sections, 
                            const std::vector<Section_exchange>& all_exchanges, 
                            const std::vector<std::vector<int>>& rank_assignment,
                            const std::string filename);