#pragma once

#include <algorithm>
#include <functional>
#include <vector>
#include "raster.hpp"

std::vector<std::vector<int>> schedule_greedy(const std::vector<Section>& sections, int ranks, std::function<double(const Section&)> cost_function);

std::vector<std::vector<int>> schedule_round_robin(const std::vector<Section>& sections, int ranks);